Appearance
PUT
/developer/clients/{clientId}Required scope:
apiclient:updateUpdates the name and scopes of an API client. A client cannot update itself.
Parameters ​
Path parameters
clientId stringRequest body ​
JSON
{
"name": "...",
"scopes": [
"..."
]
}
Response ​
The updated API client.
JSON
{
"clientId": "...",
"name": "...",
"scopes": [
"..."
],
"kind": "...",
"disabled": true,
"createdAt": "2024-08-14T12:34:56.412",
"updatedAt": "2024-08-14T12:34:56.412",
"ownerUserId": "...",
"expiresAt": "2024-08-14T12:34:56.412"
}
| Error code | Description |
|---|---|
auth.api-client.cannot-modify-self | A client cannot modify itself. |
auth.api-client.global-scope-not-allowed | Global scopes cannot be granted to external API clients. |
auth.api-client.internal-scope-not-allowed | Internal-only scopes cannot be granted to external API clients. |
auth.api-client.management-scope-not-allowed | API client management scopes cannot be granted to external API clients. |
auth.api-client.name-required | The API client must have a name. |
auth.api-client.name-taken | An API client with this name already exists. |
auth.api-client.not-found | No API client was found with the given ID. |
auth.api-client.role-required | A signed-in user must hold the apiclient role. |
auth.api-client.scope-not-allowed-for-app | One of the given scopes is cross-tenant, which the app cannot hold. |
auth.api-client.unknown-scope | One of the given scopes does not exist. |